#include <BlockRegistry/BlockRegistry.hpp>
#include <Widget/ItemIcon/ItemIcon.hpp>
#include <Widget/Label/Label.hpp>
#include <Widget/Layout/Center/Center.hpp>
#include <Widget/Layout/CompoundWidget/Deck/Deck.hpp>
#include <Widget/Layout/CompoundWidget/DocSlotTag/DocSlotTag.hpp>
#include <Widget/Layout/Frame/Frame.hpp>
#include <Widget/Layout/Row/Row.hpp>
#include <Widget/Panel/Panel.hpp>

DocSlotTag::DocSlotTag(const std::vector<std::string> &args, glm::vec4 color, std::string name)
{
    addChildren(
        new Deck<Row, Center>(
            (new Frame(
                color,
                new Panel(glm::ivec2(8), Color::widgetBackground)
            ))->withMargin(1),
            new Label(name, color)
        )
    );
}